<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task3</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <!-- Tasks
        1. JavaScript Program to Swap Two Variables
        2. JavaScript Program to Check Prime Number
        3. JavaScript Program to Find Sum of Natural Numbers Using Recursion
        4. JavaScript Program to Replace Characters of a String
        5. JavaScript Program to Loop Through an Object
    -->
</head>
<body>
    <script>
        function Sumrec(n){
           var t = 0;
           for(var i=1;i<=n;i++){
               t+=i;
           }
           return t;
        }
        function run(){
            var n = document.getElementById("Num").value;
            document.getElementById("op").innerHTML="The sum of "+n+" Natural numbers is: "+Sumrec(n);
        }        
    </script>
    <div>
        <h1>Sum Of Natural Numbers using Recursion</h1>
        <p>Enter a Natural Number</p>
        <input type="text" id="Num">
        <p id="op"></p>
        <button style="color: darkgreen;width: auto;height: auto;" onclick="run()"></button>
    </div>
</body>
</html>